# Uses of Interface co.aikar.commands.CommandConfig (ACF (JDA) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, interface: CommandConfig

# Uses of Interface
co.aikar.commands.CommandConfig

Packages that use CommandConfig
Package
Description
co.aikar.commands

## Uses of CommandConfig in co.aikar.commands

Classes in co.aikar.commands that implement CommandConfig
Modifier and Type
Class
Description
`class`
`JDACommandConfig`
Methods in co.aikar.commands that return CommandConfig
Modifier and Type
Method
Description
`CommandConfig`
JDACommandManager.`getDefaultConfig()`
`default CommandConfig`
CommandConfig.`provide(net.dv8tion.jda.api.events.message.MessageReceivedEvent event)`
`CommandConfig`
CommandConfigProvider.`provide(net.dv8tion.jda.api.events.message.MessageReceivedEvent event)`
Methods in co.aikar.commands with parameters of type CommandConfig
Modifier and Type
Method
Description
`JDAOptions`
JDAOptions.`defaultConfig(@NotNull CommandConfig defaultConfig)`
`void`
JDACommandManager.`setDefaultConfig(@NotNull CommandConfig defaultConfig)`